Manuel PHP
Précédent |  | Suivant

# Annexe G. Options de configuration

# Listes des options de configuration internes

Ci-dessous une liste partielle des options de configuration utilisées par le script PHP `configure` lors de la compilation sur les systèmes Unix et assimilés. Laplus part des options de configuration sont listées dans leur emplacement approprié sur les pages de référence de l'extension et non pas ici. Pour une liste complète des options de configuration, exécutez la commande ./configure --help dans le répertoire contenant les sources de PHP après avoir exécuté la commande autoconf (voir aussi le chapitre sur l'installation de PHP). Vous pouvez également être intéressé par la lecture de la documentation sur la configuration GNU pour plus d'informations sur les options de la commande configure comme, par exemple, --prefix=PREFIX.

> Note : Ils sont également utilisés lors de la compilation. Si vous voulez modifier la configuration de l'exécution de PHP, lisez le chapitre sur la configuration de l'exécution.

- Divers

- Comportement de PHP

- Serveur

## Options de configuration dans PHP 4

> Note : Ces options sont uniquement utilisable en PHP 4 depuis la version 4.1.0. Quelques unes sont valables dans les versions antérieures à PHP 4, quelques unes depuis PHP 3, quelques unes uniquement en PHP 4.1.0. Si vous voulez compiler des anciennes versions, certaines options ne seront probablement pas disponibles.

### Options diverses

--enable-debug

  Compile en activant les symboles de débogage

--with-layout=TYPE

  Spécifie la façon dont les fichiers installés seront présentés. TYPE peut valoir PHP (valeur par défaut) ou GNU.

--with-pear=DIR

  Installe PEAR dans le dossier DIR (par défaut, PREFIX/lib/php).

--without-pear

  Ne pas installer PEAR.

--enable-sigchild

  Active le propre traitement du SIGCHLD de PHP.

--disable-rpath

  Désactive le passage de chemins additionnels de recherche de bibliothèques d'exécution.

--enable-libgcc

  Active explicitement le lien avec la bibliothèque libgcc.

--enable-php-streams

  Inclut le support expérimental des flux PHP. Ne l'utiliser seulement si vous testez le code !

--with-zlib-dir[=DIR]

  Définie le chemin du répertoire d'installation de la bibliothèque zlib.

--enable-trans-sid

  Active la propagation transparente de l'identifiant de session. Seulement valable pour PHP 4.1.2 et antérieures. A partir de PHP 4.2.0, cette fonctionnalité est toujours compilée.

--with-tsrm-pthreads

  Utilise les threads POSIX (par défaut).

--enable-shared[=PKGS]

  Compile les bibliothèques de partage [defaut=oui].

--enable-static[=PKGS]

  Compile les bibliothèques statiques [default=oui].

--enable-fast-install[=PKGS]

  Optimise pour une installation rapide [default=oui].

--with-gnu-ld

  Le compilateur C utilise GNU ld [default=non].

--disable-libtool-lock

  Évite de verrouiller (cela pourrait casser des constructions parallèles).

--with-pic

  Tente d'utiliser uniquement les objets PIC/non-PIC [default=utilisation des deux].

--enable-memory-limit

  Compile avec le support de limitation de mémoire.

--disable-url-fopen-wrapper

  Désactive le wrapper fopen pour les URLs qui permet d'accéder à des fichiers via HTTP ou FTP.

--enable-versioning

  Exporte uniquement les symboles requis. Voir le fichier INSTALL pour plus d'informations.

--with-imsp[=DIR]

  Inclut le support IMSp (DIR est le répertoire d'inclusion IMPs et le répertoire libimsp.a). PHP 3 uniquement!

--with-mck[=DIR]

  Inclut le support Cybercash MCK. DIR est le répertoire d'installation Cybercash MCK, qui vaut par défaut /usr/src/mck-3.2.0.3-linux ; l'aide est disponible dans extra/cyberlib. Uniquement en PHP 3.

--with-mod-dav=DIR

  Inclut le support DAV via le module Apache mod_dav, DIR est le répertoire d'installation de mod_dav (version Apache module uniquement !) PHP 3 uniquement !

--enable-debugger

  Compile avec les fonctions de deboguages. PHP 3 uniquement !

--enable-versioning

  Tire profit du versioning et des portées fournis par Solaris 2.x et Linux. PHP 3 uniquement !

### Options PHP

--enable-maintainer-mode

  Active des règles de compilation (make) et des dépendances pas toujours utiles aux utilisateurs occasionnels.

--with-config-file-path=PATH

  Indique le chemin dans lequel réside le fichier `php.ini`. Par défaut, c'est PREFIX/lib.

--enable-safe-mode

  Active le safe mode (mode sécurisé) par défaut.

--with-exec-dir[=DIR]

  Autorise uniquement des exécutables dans le dossier DIR lorsque le safe mode est activé ; par défaut, DIR vaut /usr/local/php/bin.

--enable-magic-quotes

  Active les guillemets magiques.

--disable-short-tags

  Désactive les balises courtes <?.

### Options SAPI

La liste suivante contient les options valides SAPI&s (Server Application Programming Interface) pour PHP.

--with-aolserver=DIR

  Spécifie le chemin d'installation du serveur AOLserver.

--with-apxs[=FILE]

  Compile un module Apache partagé. FILE est un chemin d'accès optionnel vers les outils apxs d'Apache. Par défaut, c'est apxs. Assurez-vous de spécifier la version d'apxs qui est réellement installée sur votre système, et NON pas celle qui est fournie avec Apache.

--with-apache[=DIR]

  Compile le module Apache. DIR est le chemin du dossier d'installation d'Apache. Par défaut, DIR vaut `/usr/local/apache`.

--with-mod_charset

  Active les tables de transfert pour mod_charset (version russe de Apache).

--with-apxs2[=FILE]

  Compile le module partagé Apache 2.0. FILE est un chemin d'accès optionnel vers les outils apxs d'Apache. Par défaut, c'est apxs.

--with-caudium=DIR

  Compile PHP comme module Pike pour utilisation avec Caudium. DIR est le serveur Caudium. Par défaut, c'est `/usr/local/caudium/server`.

--disable-cli

  Disponible depuis PHP 4.3.0.Empêche la compilation de la version CLI de PHP (cela force aussi l'option --without-pear). Disponible depuis PHP 4.3.0. Plus d'informations dans la section sur l'utilisation de PHP en ligne de commande.

--enable-embed[=TYPE]

  Active la compilation de la bibliothèque intégrée SAPI. TYPE vaut soit shared, soit static. Par défaut, c'est shared. Disponible depuis PHP 4.3.0.

--with-fhttpd[=DIR]

  Compile le module fhttpd. DIR est le dossier d'installation de fhttpd. Par défaut, DIR vaut `/usr/local/src/fhttpd`. Disponible depuis PHP 4.3.0.

--with-isapi=DIR

  Compile PHP sous forme de module ISAPI pour utiliser avec le serveur Zeus.

--with-nsapi=DIR

  Spécifie le chemin vers le serveur web Netscape/iPlanet/SunONE.

--with-phttpd=DIR

  Aucune information fournie actuellement.

--with-pi3web=DIR

  Compile PHP sous forme de module pour utiliser avec le serveur Pi3Web.

--with-roxen=DIR

  Compile PHP sous forme de module Pike. DIR est le chemin d'installation de Roxen. Par défaut, DIR vaut `/usr/local/roxen/server`.

--enable-roxen-zts

  Compile PHP sous forme de module Roxen, en utilisant Zend Thread Safety.

--with-servlet[=DIR]

  Inclut le support des servlets. DIR est le chemin d'installation du JSDK. Cette SAPI impose que l'extension java soit compilée comme une bibliothèque partagée.

--with-thttpd=SRCDIR

  Compile PHP comme module thttpd.

--with-tux=MODULEDIR

  Compile PHP comme module TUX (Linux uniquement).

--with-webjames=SRCDIR

  Build PHP as a WebJames module (RISC OS only)

--disable-cgi

  Empêche la compilation de la version CGI de PHP. Disponible depuis PHP 4.3.0.

--enable-force-cgi-redirect

  Active la sécurité lors des redirections internes du serveur. Il est recommandé d'utiliser cette option lorsque vous utilisez PHP en CGI avec Apache.

--enable-discard-path

  Si cette option est activée, l'exécutable CGI PHP peut être placé hors de l'arborescence web, en toute sécurité. Il ne sera pas possible de contourner les fichiers `.htaccess`. security.

--with-fastcgi

  Compile PHP comme application FastCGI. Cette option n'est plus disponible depuis PHP 4.3.0 et vous devez utiliser --enable-fastcgi à la place.

--enable-fastcgi

  Si cette option est activée, le module CGI sera compilé avec le support FastCGI. Cette option est disponible depuis PHP 4.3.0.

--disable-path-info-check

  Si cette option est désactivée, des chemins tels que `/info.php/test?a=b` ne pourront pas fonctionner. Cette option est disponible depuis PHP 4.3.0. Pour plus d'informations, voir le Manuel Apache.

Précédent | Sommaire | Suivant
Rapport d'erreurs | Niveau supérieur | Directives du `php.ini`